#include <iostream>

using namespace std;

int main()
{

    string pera, petra;
    cin >> pera >> petra;
    string m = pera + petra;
    string resenje;
    int a1, a2;
    cin >> a1 >> a2;
    if(a1 == a2){
        for(int i = 0; i < a1; i++){
            resenje += m;
        }
        cout << resenje;
    }
    else if(a1 + 1 == a2){
        for(int i = 0; i < a1; i++){
            resenje += m;
        }
        resenje = petra + resenje ;
        cout << resenje;
    }
    else if(a2 + 1 == a1){
        for(int i = 0; i < a2; i++){
            resenje += m;
        }
        resenje = resenje + pera ;
        cout << resenje;
    }
    else if(a2 != a1) cout << "nemoguce";
    return 0;
}